/*
 * Test filename mangling for the cybiko.
 * 

**** All rights reserved.
****************************************************************************
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details at www.gnu.org
****************************************************************************
 */

#include "cyucon.h"
#include "prototypes.h"

char WorkBuf[BUFSIZ+1];
char WorkBufMem[BUFSIZ+1];
/*
 * Main line.
 */
int main(int argc, char *argv[])
{
  int ii;

  for(ii=1;ii<argc;++ii)
  {
    fixFileNameIntoCybiko(argv[ii],WorkBuf);
    printf("%s INTO cybiko: [%s]\n",argv[ii],WorkBuf);
    fileNameToMemCard(WorkBuf,WorkBufMem,sizeof(WorkBufMem));
    printf(" \tINTO cybiko memory card: [%s]\n",WorkBufMem);
    fixFileNameOutOfCybiko(argv[ii],WorkBuf);    
    printf("%s OUT OF cybiko: [%s]\n",argv[ii],WorkBuf);
    fileNameToMemCard(WorkBuf,WorkBufMem,sizeof(WorkBufMem));
    printf("\tOUT OF cybiko memory card: [%s]\n",WorkBufMem);
  }
  exit(0);
}
